Skip to main content
POST
Perform an intent evaluation

Authorizations

token
string
query
required

A plaintext token to secure your server, specified at startup in the argument --auth-token thisismysecret

Query Parameters

model
string

Model that should be used for evaluation. If the parameter is set, the model will be fetched with the currently loaded configuration setup. However, the currently loaded model will not be updated. The state of the server will not change. If the parameter is not set, the currently loaded model will be used for the evaluation.

callback_url
string
default:None

If specified the call will return immediately with an empty response and status code 204. The actual result or any errors will be sent to the given callback URL as the body of a post request.

cross_validation_folds
integer

Number of cross validation folds. If this parameter is specified the given training data will be used for a cross-validation instead of using it as test set for the specified model. Note that this is only supported for YAML data.

Body

NLU training data and model configuration. The model configuration is only required if cross-validation is used.

Example:

"nlu: - intent: greet\n examples: |\n - hey\n - hello\n - hi\n- intent: bye\n examples: |\n - goodbye\n - bye\n - cheers\n\npipeline: - name: KeywordIntentClassifier"

Response

NLU evaluation result

intent_evaluation
object

Rasa NLU intent evaluation

response_selection_evaluation
object

Evaluation for the retrieval intents

entity_evaluation
object

Rasa NLU entity evaluation.